# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, lib, modulesPath, ... }:

{
  imports = [ (modulesPath + "/installer/scan/not-detected.nix") ];

  boot.initrd.availableKernelModules = [ "xhci_pci" "ahci" "nvme" "sd_mod" ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.extraModulePackages = [ ];

  fileSystems."/" = {
    device = "/dev/disk/by-uuid/c6e3d4df-4861-48a5-8107-d6fd1addad8c";
    fsType = "btrfs";
    options = [ "subvol=@root" "x-gvfs-hide" ];
  };

  fileSystems."/nix" = {
    device = "/dev/disk/by-uuid/c6e3d4df-4861-48a5-8107-d6fd1addad8c";
    fsType = "btrfs";
    options = [ "subvol=@nix" "x-gvfs-hide" ];
  };

  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/82DB-3444";
    fsType = "vfat";
    options = [ "x-gvfs-hide" ];
  };

  fileSystems."/home/bertof" = {
    device = "/dev/disk/by-uuid/c6e3d4df-4861-48a5-8107-d6fd1addad8c";
    fsType = "btrfs";
    options = [ "subvol=@bertof/@home" "x-gvfs-hide" ];
  };

  fileSystems."/home/bertof/Documenti/Git" = {
    device = "/dev/disk/by-uuid/c6e3d4df-4861-48a5-8107-d6fd1addad8c";
    fsType = "btrfs";
    options = [ "subvol=@bertof/@git" "x-gvfs-hide" ];
  };

  fileSystems."/home/bertof/Immagini" = {
    device = "/dev/disk/by-uuid/c2635d50-7f08-4aca-bcdd-0ac685047a64";
    fsType = "btrfs";
    options = [ "subvol=@bertof/@images" "x-gvfs-hide" ];
  };

  fileSystems."/home/bertof/Video" = {
    device = "/dev/disk/by-uuid/c2635d50-7f08-4aca-bcdd-0ac685047a64";
    fsType = "btrfs";
    options = [ "subvol=@bertof/@videos" "x-gvfs-hide" ];
  };

  fileSystems."/home/bertof/Documenti" = {
    device = "/dev/disk/by-uuid/c2635d50-7f08-4aca-bcdd-0ac685047a64";
    fsType = "btrfs";
    options = [ "subvol=@bertof/@documents" "x-gvfs-hide" ];
  };

  fileSystems."/home/bertof/Musica" = {
    device = "/dev/disk/by-uuid/c2635d50-7f08-4aca-bcdd-0ac685047a64";
    fsType = "btrfs";
    options = [ "subvol=@bertof/@music" "x-gvfs-hide" ];
  };

  fileSystems."/home/bertof/Scaricati" = {
    device = "/dev/disk/by-uuid/c2635d50-7f08-4aca-bcdd-0ac685047a64";
    fsType = "btrfs";
    options = [ "subvol=@bertof/@downloads" "x-gvfs-hide" ];
  };

  fileSystems."/home/bertof/Giochi/SSD" = {
    device = "/dev/disk/by-uuid/c6e3d4df-4861-48a5-8107-d6fd1addad8c";
    fsType = "btrfs";
    options = [ "subvol=@bertof/@games" "x-gvfs-hide" ];
  };

  fileSystems."/home/bertof/Giochi/SATA" = {
    device = "/dev/disk/by-uuid/c2635d50-7f08-4aca-bcdd-0ac685047a64";
    fsType = "btrfs";
    options = [ "subvol=@bertof/@games" "x-gvfs-hide" ];
  };

  swapDevices =
    [{ device = "/dev/disk/by-uuid/5f3cf424-2bd8-4352-a778-1bb067cb5700"; }];

  # Enables DHCP on each ethernet and wireless interface. In case of scripted networking
  # (the default) this is the recommended approach. When using systemd-networkd it's
  # still possible to use this option, but it's recommended to use it in conjunction
  # with explicit per-interface declarations with `networking.interfaces.<interface>.useDHCP`.
  # networking.useDHCP = lib.mkDefault true;
  # networking.interfaces.docker0.useDHCP = lib.mkDefault true;
  # networking.interfaces.enp60s0.useDHCP = lib.mkDefault true;
  # networking.interfaces.wlp0s20f3.useDHCP = lib.mkDefault true;
  # networking.interfaces.ztmjfdwjkp.useDHCP = lib.mkDefault true;

  powerManagement.cpuFreqGovernor = lib.mkDefault "powersave";
  hardware.cpu.intel.updateMicrocode =
    lib.mkDefault config.hardware.enableRedistributableFirmware;
}
